<?php
if (session_id() == "") session_start(); // Init session data
ob_start(); // Turn on output buffering
?>
<?php include_once "ewcfg14.php" ?>
<?php include_once ((EW_USE_ADODB) ? "adodb5/adodb.inc.php" : "ewmysql14.php") ?>
<?php include_once "phpfn14.php" ?>
<?php include_once "kedatanganinfo.php" ?>
<?php include_once "employeesinfo.php" ?>
<?php include_once "userfn14.php" ?>
<?php

//
// Page class
//

$kedatangan_delete = NULL; // Initialize page object first

class ckedatangan_delete extends ckedatangan {

	// Page ID
	var $PageID = 'delete';

	// Project ID
	var $ProjectID = '{CC60B42B-604B-412A-B014-2315920AF6AA}';

	// Table name
	var $TableName = 'kedatangan';

	// Page object name
	var $PageObjName = 'kedatangan_delete';

	// Page headings
	var $Heading = '';
	var $Subheading = '';

	// Page heading
	function PageHeading() {
		global $Language;
		if ($this->Heading <> "")
			return $this->Heading;
		if (method_exists($this, "TableCaption"))
			return $this->TableCaption();
		return "";
	}

	// Page subheading
	function PageSubheading() {
		global $Language;
		if ($this->Subheading <> "")
			return $this->Subheading;
		if ($this->TableName)
			return $Language->Phrase($this->PageID);
		return "";
	}

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		if ($this->UseTokenInUrl) $PageUrl .= "t=" . $this->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_MESSAGE], $v);
	}

	function getFailureMessage() {
		return @$_SESSION[EW_SESSION_FAILURE_MESSAGE];
	}

	function setFailureMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_FAILURE_MESSAGE], $v);
	}

	function getSuccessMessage() {
		return @$_SESSION[EW_SESSION_SUCCESS_MESSAGE];
	}

	function setSuccessMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_SUCCESS_MESSAGE], $v);
	}

	function getWarningMessage() {
		return @$_SESSION[EW_SESSION_WARNING_MESSAGE];
	}

	function setWarningMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_WARNING_MESSAGE], $v);
	}

	// Methods to clear message
	function ClearMessage() {
		$_SESSION[EW_SESSION_MESSAGE] = "";
	}

	function ClearFailureMessage() {
		$_SESSION[EW_SESSION_FAILURE_MESSAGE] = "";
	}

	function ClearSuccessMessage() {
		$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = "";
	}

	function ClearWarningMessage() {
		$_SESSION[EW_SESSION_WARNING_MESSAGE] = "";
	}

	function ClearMessages() {
		$_SESSION[EW_SESSION_MESSAGE] = "";
		$_SESSION[EW_SESSION_FAILURE_MESSAGE] = "";
		$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = "";
		$_SESSION[EW_SESSION_WARNING_MESSAGE] = "";
	}

	// Show message
	function ShowMessage() {
		$hidden = FALSE;
		$html = "";

		// Message
		$sMessage = $this->getMessage();
		if (method_exists($this, "Message_Showing"))
			$this->Message_Showing($sMessage, "");
		if ($sMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sMessage;
			$html .= "<div class=\"alert alert-info ewInfo\">" . $sMessage . "</div>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}

		// Warning message
		$sWarningMessage = $this->getWarningMessage();
		if (method_exists($this, "Message_Showing"))
			$this->Message_Showing($sWarningMessage, "warning");
		if ($sWarningMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sWarningMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sWarningMessage;
			$html .= "<div class=\"alert alert-warning ewWarning\">" . $sWarningMessage . "</div>";
			$_SESSION[EW_SESSION_WARNING_MESSAGE] = ""; // Clear message in Session
		}

		// Success message
		$sSuccessMessage = $this->getSuccessMessage();
		if (method_exists($this, "Message_Showing"))
			$this->Message_Showing($sSuccessMessage, "success");
		if ($sSuccessMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sSuccessMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sSuccessMessage;
			$html .= "<div class=\"alert alert-success ewSuccess\">" . $sSuccessMessage . "</div>";
			$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = ""; // Clear message in Session
		}

		// Failure message
		$sErrorMessage = $this->getFailureMessage();
		if (method_exists($this, "Message_Showing"))
			$this->Message_Showing($sErrorMessage, "failure");
		if ($sErrorMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sErrorMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sErrorMessage;
			$html .= "<div class=\"alert alert-danger ewError\">" . $sErrorMessage . "</div>";
			$_SESSION[EW_SESSION_FAILURE_MESSAGE] = ""; // Clear message in Session
		}
		echo "<div class=\"ewMessageDialog\"" . (($hidden) ? " style=\"display: none;\"" : "") . ">" . $html . "</div>";
	}
	var $PageHeader;
	var $PageFooter;

	// Show Page Header
	function ShowPageHeader() {
		$sHeader = $this->PageHeader;
		$this->Page_DataRendering($sHeader);
		if ($sHeader <> "") { // Header exists, display
			echo "<p>" . $sHeader . "</p>";
		}
	}

	// Show Page Footer
	function ShowPageFooter() {
		$sFooter = $this->PageFooter;
		$this->Page_DataRendered($sFooter);
		if ($sFooter <> "") { // Footer exists, display
			echo "<p>" . $sFooter . "</p>";
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm;
		if ($this->UseTokenInUrl) {
			if ($objForm)
				return ($this->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($this->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}
	var $Token = "";
	var $TokenTimeout = 0;
	var $CheckToken = EW_CHECK_TOKEN;
	var $CheckTokenFn = "ew_CheckToken";
	var $CreateTokenFn = "ew_CreateToken";

	// Valid Post
	function ValidPost() {
		if (!$this->CheckToken || !ew_IsPost())
			return TRUE;
		if (!isset($_POST[EW_TOKEN_NAME]))
			return FALSE;
		$fn = $this->CheckTokenFn;
		if (is_callable($fn))
			return $fn($_POST[EW_TOKEN_NAME], $this->TokenTimeout);
		return FALSE;
	}

	// Create Token
	function CreateToken() {
		global $gsToken;
		if ($this->CheckToken) {
			$fn = $this->CreateTokenFn;
			if ($this->Token == "" && is_callable($fn)) // Create token
				$this->Token = $fn();
			$gsToken = $this->Token; // Save to global variable
		}
	}

	//
	// Page class constructor
	//
	function __construct() {
		global $conn, $Language;
		global $UserTable, $UserTableConn;
		$GLOBALS["Page"] = &$this;
		$this->TokenTimeout = ew_SessionTimeoutTime();

		// Language object
		if (!isset($Language)) $Language = new cLanguage();

		// Parent constuctor
		parent::__construct();

		// Table object (kedatangan)
		if (!isset($GLOBALS["kedatangan"]) || get_class($GLOBALS["kedatangan"]) == "ckedatangan") {
			$GLOBALS["kedatangan"] = &$this;
			$GLOBALS["Table"] = &$GLOBALS["kedatangan"];
		}

		// Table object (employees)
		if (!isset($GLOBALS['employees'])) $GLOBALS['employees'] = new cemployees();

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'delete', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'kedatangan', TRUE);

		// Start timer
		if (!isset($GLOBALS["gTimer"]))
			$GLOBALS["gTimer"] = new cTimer();

		// Debug message
		ew_LoadDebugMsg();

		// Open connection
		if (!isset($conn))
			$conn = ew_Connect($this->DBID);

		// User table object (employees)
		if (!isset($UserTable)) {
			$UserTable = new cemployees();
			$UserTableConn = Conn($UserTable->DBID);
		}
	}

	//
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsCustomExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;

		// User profile
		$UserProfile = new cUserProfile();

		// Security
		$Security = new cAdvancedSecurity();
		if (!$Security->IsLoggedIn()) $Security->AutoLogin();
		if ($Security->IsLoggedIn()) $Security->TablePermission_Loading();
		$Security->LoadCurrentUserLevel($this->ProjectID . $this->TableName);
		if ($Security->IsLoggedIn()) $Security->TablePermission_Loaded();
		if (!$Security->CanDelete()) {
			$Security->SaveLastUrl();
			$this->setFailureMessage(ew_DeniedMsg()); // Set no permission
			if ($Security->CanList())
				$this->Page_Terminate(ew_GetUrl("kedatanganlist.php"));
			else
				$this->Page_Terminate(ew_GetUrl("login.php"));
		}

		// NOTE: Security object may be needed in other part of the script, skip set to Nothing
		// 
		// Security = null;
		// 

		$this->CurrentAction = (@$_GET["a"] <> "") ? $_GET["a"] : @$_POST["a_list"]; // Set up current action
		$this->datang_id->SetVisibility();
		$this->datang_tgl->SetVisibility();
		$this->datang_sumber->SetVisibility();
		$this->k_id->SetVisibility();
		$this->sup_id->SetVisibility();
		$this->po_id->SetVisibility();
		$this->var_id->SetVisibility();
		$this->datang_jumlah->SetVisibility();
		$this->datang_terpakai->SetVisibility();

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();

		// Check token
		if (!$this->ValidPost()) {
			echo $Language->Phrase("InvalidPostRequest");
			$this->Page_Terminate();
			exit();
		}

		// Create Token
		$this->CreateToken();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $gsExportFile, $gTmpImages;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();

		// Export
		global $EW_EXPORT, $kedatangan;
		if ($this->CustomExport <> "" && $this->CustomExport == $this->Export && array_key_exists($this->CustomExport, $EW_EXPORT)) {
				$sContent = ob_get_contents();
			if ($gsExportFile == "") $gsExportFile = $this->TableVar;
			$class = $EW_EXPORT[$this->CustomExport];
			if (class_exists($class)) {
				$doc = new $class($kedatangan);
				$doc->Text = $sContent;
				if ($this->Export == "email")
					echo $this->ExportEmail($doc->Text);
				else
					$doc->Export();
				ew_DeleteTmpImages(); // Delete temp images
				exit();
			}
		}
		$this->Page_Redirecting($url);

		// Close connection
		ew_CloseConn();

		// Go to URL if specified
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			ew_SaveDebugMsg();
			header("Location: " . $url);
		}
		exit();
	}
	var $DbMasterFilter = "";
	var $DbDetailFilter = "";
	var $StartRec;
	var $TotalRecs = 0;
	var $RecCnt;
	var $RecKeys = array();
	var $Recordset;
	var $StartRowCnt = 1;
	var $RowCnt = 0;

	//
	// Page main
	//
	function Page_Main() {
		global $Language;

		// Set up Breadcrumb
		$this->SetupBreadcrumb();

		// Load key parameters
		$this->RecKeys = $this->GetRecordKeys(); // Load record keys
		$sFilter = $this->GetKeyFilter();
		if ($sFilter == "")
			$this->Page_Terminate("kedatanganlist.php"); // Prevent SQL injection, return to list

		// Set up filter (SQL WHHERE clause) and get return SQL
		// SQL constructor in kedatangan class, kedatanganinfo.php

		$this->CurrentFilter = $sFilter;

		// Get action
		if (@$_POST["a_delete"] <> "") {
			$this->CurrentAction = $_POST["a_delete"];
		} elseif (@$_GET["a_delete"] == "1") {
			$this->CurrentAction = "D"; // Delete record directly
		} else {
			$this->CurrentAction = "I"; // Display record
		}
		if ($this->CurrentAction == "D") {
			$this->SendEmail = TRUE; // Send email on delete success
			if ($this->DeleteRows()) { // Delete rows
				if ($this->getSuccessMessage() == "")
					$this->setSuccessMessage($Language->Phrase("DeleteSuccess")); // Set up success message
				$this->Page_Terminate($this->getReturnUrl()); // Return to caller
			} else { // Delete failed
				$this->CurrentAction = "I"; // Display record
			}
		}
		if ($this->CurrentAction == "I") { // Load records for display
			if ($this->Recordset = $this->LoadRecordset())
				$this->TotalRecs = $this->Recordset->RecordCount(); // Get record count
			if ($this->TotalRecs <= 0) { // No record found, exit
				if ($this->Recordset)
					$this->Recordset->Close();
				$this->Page_Terminate("kedatanganlist.php"); // Return to list
			}
		}
	}

	// Load recordset
	function LoadRecordset($offset = -1, $rowcnt = -1) {

		// Load List page SQL
		$sSql = $this->ListSQL();
		$conn = &$this->Connection();

		// Load recordset
		$dbtype = ew_GetConnectionType($this->DBID);
		if ($this->UseSelectLimit) {
			$conn->raiseErrorFn = $GLOBALS["EW_ERROR_FN"];
			if ($dbtype == "MSSQL") {
				$rs = $conn->SelectLimit($sSql, $rowcnt, $offset, array("_hasOrderBy" => trim($this->getOrderBy()) || trim($this->getSessionOrderByList())));
			} else {
				$rs = $conn->SelectLimit($sSql, $rowcnt, $offset);
			}
			$conn->raiseErrorFn = '';
		} else {
			$rs = ew_LoadRecordset($sSql, $conn);
		}

		// Call Recordset Selected event
		$this->Recordset_Selected($rs);
		return $rs;
	}

	// Load row based on key values
	function LoadRow() {
		global $Security, $Language;
		$sFilter = $this->KeyFilter();

		// Call Row Selecting event
		$this->Row_Selecting($sFilter);

		// Load SQL based on filter
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$conn = &$this->Connection();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql, $conn);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues($rs = NULL) {
		if ($rs && !$rs->EOF)
			$row = $rs->fields;
		else
			$row = $this->NewRow(); 

		// Call Row Selected event
		$this->Row_Selected($row);
		if (!$rs || $rs->EOF)
			return;
		$this->datang_id->setDbValue($row['datang_id']);
		$this->datang_tgl->setDbValue($row['datang_tgl']);
		$this->datang_sumber->setDbValue($row['datang_sumber']);
		$this->k_id->setDbValue($row['k_id']);
		if (array_key_exists('EV__k_id', $rs->fields)) {
			$this->k_id->VirtualValue = $rs->fields('EV__k_id'); // Set up virtual field value
		} else {
			$this->k_id->VirtualValue = ""; // Clear value
		}
		$this->sup_id->setDbValue($row['sup_id']);
		$this->po_id->setDbValue($row['po_id']);
		if (array_key_exists('EV__po_id', $rs->fields)) {
			$this->po_id->VirtualValue = $rs->fields('EV__po_id'); // Set up virtual field value
		} else {
			$this->po_id->VirtualValue = ""; // Clear value
		}
		$this->var_id->setDbValue($row['var_id']);
		$this->datang_jumlah->setDbValue($row['datang_jumlah']);
		$this->datang_terpakai->setDbValue($row['datang_terpakai']);
	}

	// Return a row with default values
	function NewRow() {
		$row = array();
		$row['datang_id'] = NULL;
		$row['datang_tgl'] = NULL;
		$row['datang_sumber'] = NULL;
		$row['k_id'] = NULL;
		$row['sup_id'] = NULL;
		$row['po_id'] = NULL;
		$row['var_id'] = NULL;
		$row['datang_jumlah'] = NULL;
		$row['datang_terpakai'] = NULL;
		return $row;
	}

	// Load DbValue from recordset
	function LoadDbValues(&$rs) {
		if (!$rs || !is_array($rs) && $rs->EOF)
			return;
		$row = is_array($rs) ? $rs : $rs->fields;
		$this->datang_id->DbValue = $row['datang_id'];
		$this->datang_tgl->DbValue = $row['datang_tgl'];
		$this->datang_sumber->DbValue = $row['datang_sumber'];
		$this->k_id->DbValue = $row['k_id'];
		$this->sup_id->DbValue = $row['sup_id'];
		$this->po_id->DbValue = $row['po_id'];
		$this->var_id->DbValue = $row['var_id'];
		$this->datang_jumlah->DbValue = $row['datang_jumlah'];
		$this->datang_terpakai->DbValue = $row['datang_terpakai'];
	}

	// Render row values based on field settings
	function RenderRow() {
		global $Security, $Language, $gsLanguage;

		// Initialize URLs
		// Call Row_Rendering event

		$this->Row_Rendering();

		// Common render codes for all row types
		// datang_id
		// datang_tgl
		// datang_sumber
		// k_id
		// sup_id
		// po_id
		// var_id
		// datang_jumlah
		// datang_terpakai

		if ($this->RowType == EW_ROWTYPE_VIEW) { // View row

		// datang_id
		$this->datang_id->ViewValue = $this->datang_id->CurrentValue;
		$this->datang_id->ViewCustomAttributes = "";

		// datang_tgl
		$this->datang_tgl->ViewValue = $this->datang_tgl->CurrentValue;
		$this->datang_tgl->ViewValue = ew_FormatDateTime($this->datang_tgl->ViewValue, 0);
		$this->datang_tgl->ViewCustomAttributes = "";

		// datang_sumber
		if (strval($this->datang_sumber->CurrentValue) <> "") {
			$sFilterWrk = "`ds_id`" . ew_SearchString("=", $this->datang_sumber->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `ds_id`, `ds_nama` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `datang_sumber`";
		$sWhereWrk = "";
		$this->datang_sumber->LookupFilters = array();
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->datang_sumber, $sWhereWrk); // Call Lookup Selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
		$sSqlWrk .= " ORDER BY `ds_id` DESC";
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->datang_sumber->ViewValue = $this->datang_sumber->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->datang_sumber->ViewValue = $this->datang_sumber->CurrentValue;
			}
		} else {
			$this->datang_sumber->ViewValue = NULL;
		}
		$this->datang_sumber->ViewCustomAttributes = "";

		// k_id
		if ($this->k_id->VirtualValue <> "") {
			$this->k_id->ViewValue = $this->k_id->VirtualValue;
		} else {
			$this->k_id->ViewValue = $this->k_id->CurrentValue;
		if (strval($this->k_id->CurrentValue) <> "") {
			$sFilterWrk = "`k_id`" . ew_SearchString("=", $this->k_id->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `k_id`, `k_id_kontrak` AS `DispFld`, `k_tgl_tanam` AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `kontrak`";
		$sWhereWrk = "";
		$this->k_id->LookupFilters = array("df2" => "5");
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->k_id, $sWhereWrk); // Call Lookup Selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
		$sSqlWrk .= " ORDER BY `k_id` DESC";
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$arwrk[2] = ew_FormatDateTime($rswrk->fields('Disp2Fld'), 5);
				$this->k_id->ViewValue = $this->k_id->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->k_id->ViewValue = $this->k_id->CurrentValue;
			}
		} else {
			$this->k_id->ViewValue = NULL;
		}
		}
		$this->k_id->ViewCustomAttributes = "";

		// sup_id
		$this->sup_id->ViewValue = $this->sup_id->CurrentValue;
		if (strval($this->sup_id->CurrentValue) <> "") {
			$sFilterWrk = "`sup_id`" . ew_SearchString("=", $this->sup_id->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `sup_id`, `sup_nama` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `suplaiyer_ubi`";
		$sWhereWrk = "";
		$this->sup_id->LookupFilters = array();
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->sup_id, $sWhereWrk); // Call Lookup Selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
		$sSqlWrk .= " ORDER BY `sup_nama` ASC";
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->sup_id->ViewValue = $this->sup_id->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->sup_id->ViewValue = $this->sup_id->CurrentValue;
			}
		} else {
			$this->sup_id->ViewValue = NULL;
		}
		$this->sup_id->ViewCustomAttributes = "";

		// po_id
		if ($this->po_id->VirtualValue <> "") {
			$this->po_id->ViewValue = $this->po_id->VirtualValue;
		} else {
			$this->po_id->ViewValue = $this->po_id->CurrentValue;
		if (strval($this->po_id->CurrentValue) <> "") {
			$sFilterWrk = "`po_id`" . ew_SearchString("=", $this->po_id->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `po_id`, `po_id` AS `DispFld`, `po_tanggal` AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `po`";
		$sWhereWrk = "";
		$this->po_id->LookupFilters = array("df2" => "2");
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->po_id, $sWhereWrk); // Call Lookup Selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
		$sSqlWrk .= " ORDER BY `po_id` DESC";
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$arwrk[2] = ew_FormatDateTime($rswrk->fields('Disp2Fld'), 2);
				$this->po_id->ViewValue = $this->po_id->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->po_id->ViewValue = $this->po_id->CurrentValue;
			}
		} else {
			$this->po_id->ViewValue = NULL;
		}
		}
		$this->po_id->ViewCustomAttributes = "";

		// var_id
		if (strval($this->var_id->CurrentValue) <> "") {
			$sFilterWrk = "`var_id`" . ew_SearchString("=", $this->var_id->CurrentValue, EW_DATATYPE_NUMBER, "");
		$sSqlWrk = "SELECT `var_id`, `var_nama` AS `DispFld`, '' AS `Disp2Fld`, '' AS `Disp3Fld`, '' AS `Disp4Fld` FROM `varietas`";
		$sWhereWrk = "";
		$this->var_id->LookupFilters = array();
		ew_AddFilter($sWhereWrk, $sFilterWrk);
		$this->Lookup_Selecting($this->var_id, $sWhereWrk); // Call Lookup Selecting
		if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
		$sSqlWrk .= " ORDER BY `var_nama` ASC";
			$rswrk = Conn()->Execute($sSqlWrk);
			if ($rswrk && !$rswrk->EOF) { // Lookup values found
				$arwrk = array();
				$arwrk[1] = $rswrk->fields('DispFld');
				$this->var_id->ViewValue = $this->var_id->DisplayValue($arwrk);
				$rswrk->Close();
			} else {
				$this->var_id->ViewValue = $this->var_id->CurrentValue;
			}
		} else {
			$this->var_id->ViewValue = NULL;
		}
		$this->var_id->ViewCustomAttributes = "";

		// datang_jumlah
		$this->datang_jumlah->ViewValue = $this->datang_jumlah->CurrentValue;
		$this->datang_jumlah->ViewCustomAttributes = "";

		// datang_terpakai
		$this->datang_terpakai->ViewValue = $this->datang_terpakai->CurrentValue;
		$this->datang_terpakai->ViewCustomAttributes = "";

			// datang_id
			$this->datang_id->LinkCustomAttributes = "";
			$this->datang_id->HrefValue = "";
			$this->datang_id->TooltipValue = "";

			// datang_tgl
			$this->datang_tgl->LinkCustomAttributes = "";
			$this->datang_tgl->HrefValue = "";
			$this->datang_tgl->TooltipValue = "";

			// datang_sumber
			$this->datang_sumber->LinkCustomAttributes = "";
			$this->datang_sumber->HrefValue = "";
			$this->datang_sumber->TooltipValue = "";

			// k_id
			$this->k_id->LinkCustomAttributes = "";
			$this->k_id->HrefValue = "";
			$this->k_id->TooltipValue = "";

			// sup_id
			$this->sup_id->LinkCustomAttributes = "";
			$this->sup_id->HrefValue = "";
			$this->sup_id->TooltipValue = "";

			// po_id
			$this->po_id->LinkCustomAttributes = "";
			$this->po_id->HrefValue = "";
			$this->po_id->TooltipValue = "";

			// var_id
			$this->var_id->LinkCustomAttributes = "";
			$this->var_id->HrefValue = "";
			$this->var_id->TooltipValue = "";

			// datang_jumlah
			$this->datang_jumlah->LinkCustomAttributes = "";
			$this->datang_jumlah->HrefValue = "";
			$this->datang_jumlah->TooltipValue = "";

			// datang_terpakai
			$this->datang_terpakai->LinkCustomAttributes = "";
			$this->datang_terpakai->HrefValue = "";
			$this->datang_terpakai->TooltipValue = "";
		}

		// Call Row Rendered event
		if ($this->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$this->Row_Rendered();
	}

	//
	// Delete records based on current filter
	//
	function DeleteRows() {
		global $Language, $Security;
		if (!$Security->CanDelete()) {
			$this->setFailureMessage($Language->Phrase("NoDeletePermission")); // No delete permission
			return FALSE;
		}
		$DeleteRows = TRUE;
		$sSql = $this->SQL();
		$conn = &$this->Connection();
		$conn->raiseErrorFn = $GLOBALS["EW_ERROR_FN"];
		$rs = $conn->Execute($sSql);
		$conn->raiseErrorFn = '';
		if ($rs === FALSE) {
			return FALSE;
		} elseif ($rs->EOF) {
			$this->setFailureMessage($Language->Phrase("NoRecord")); // No record found
			$rs->Close();
			return FALSE;
		}
		$rows = ($rs) ? $rs->GetRows() : array();
		$conn->BeginTrans();

		// Clone old rows
		$rsold = $rows;
		if ($rs)
			$rs->Close();

		// Call row deleting event
		if ($DeleteRows) {
			foreach ($rsold as $row) {
				$DeleteRows = $this->Row_Deleting($row);
				if (!$DeleteRows) break;
			}
		}
		if ($DeleteRows) {
			$sKey = "";
			foreach ($rsold as $row) {
				$sThisKey = "";
				if ($sThisKey <> "") $sThisKey .= $GLOBALS["EW_COMPOSITE_KEY_SEPARATOR"];
				$sThisKey .= $row['datang_id'];

				// Delete old files
				$this->LoadDbValues($row);
				$conn->raiseErrorFn = $GLOBALS["EW_ERROR_FN"];
				$DeleteRows = $this->Delete($row); // Delete
				$conn->raiseErrorFn = '';
				if ($DeleteRows === FALSE)
					break;
				if ($sKey <> "") $sKey .= ", ";
				$sKey .= $sThisKey;
			}
		}
		if (!$DeleteRows) {

			// Set up error message
			if ($this->getSuccessMessage() <> "" || $this->getFailureMessage() <> "") {

				// Use the message, do nothing
			} elseif ($this->CancelMessage <> "") {
				$this->setFailureMessage($this->CancelMessage);
				$this->CancelMessage = "";
			} else {
				$this->setFailureMessage($Language->Phrase("DeleteCancelled"));
			}
		}
		if ($DeleteRows) {
			$conn->CommitTrans(); // Commit the changes
		} else {
			$conn->RollbackTrans(); // Rollback changes
		}

		// Call Row Deleted event
		if ($DeleteRows) {
			foreach ($rsold as $row) {
				$this->Row_Deleted($row);
			}
		}
		return $DeleteRows;
	}

	// Set up Breadcrumb
	function SetupBreadcrumb() {
		global $Breadcrumb, $Language;
		$Breadcrumb = new cBreadcrumb();
		$url = substr(ew_CurrentUrl(), strrpos(ew_CurrentUrl(), "/")+1);
		$Breadcrumb->Add("list", $this->TableVar, $this->AddMasterUrl("kedatanganlist.php"), "", $this->TableVar, TRUE);
		$PageId = "delete";
		$Breadcrumb->Add("delete", $PageId, $url);
	}

	// Setup lookup filters of a field
	function SetupLookupFilters($fld, $pageId = null) {
		global $gsLanguage;
		$pageId = $pageId ?: $this->PageID;
		switch ($fld->FldVar) {
		}
	}

	// Setup AutoSuggest filters of a field
	function SetupAutoSuggestFilters($fld, $pageId = null) {
		global $gsLanguage;
		$pageId = $pageId ?: $this->PageID;
		switch ($fld->FldVar) {
		}
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	// $type = ''|'success'|'failure'|'warning'
	function Message_Showing(&$msg, $type) {
		if ($type == 'success') {

			//$msg = "your success message";
		} elseif ($type == 'failure') {

			//$msg = "your failure message";
		} elseif ($type == 'warning') {

			//$msg = "your warning message";
		} else {

			//$msg = "your message";
		}
	}

	// Page Render event
	function Page_Render() {

		//echo "Page Render";
	}

	// Page Data Rendering event
	function Page_DataRendering(&$header) {

		// Example:
		//$header = "your header";

	}

	// Page Data Rendered event
	function Page_DataRendered(&$footer) {

		// Example:
		//$footer = "your footer";

	}
}
?>
<?php ew_Header(FALSE) ?>
<?php

// Create page object
if (!isset($kedatangan_delete)) $kedatangan_delete = new ckedatangan_delete();

// Page init
$kedatangan_delete->Page_Init();

// Page main
$kedatangan_delete->Page_Main();

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$kedatangan_delete->Page_Render();
?>
<?php include_once "header.php" ?>
<script type="text/javascript">

// Form object
var CurrentPageID = EW_PAGE_ID = "delete";
var CurrentForm = fkedatangandelete = new ew_Form("fkedatangandelete", "delete");

// Form_CustomValidate event
fkedatangandelete.Form_CustomValidate = 
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid.
 	return true;
 }

// Use JavaScript validation or not
fkedatangandelete.ValidateRequired = <?php echo json_encode(EW_CLIENT_VALIDATE) ?>;

// Dynamic selection lists
fkedatangandelete.Lists["x_datang_sumber"] = {"LinkField":"x_ds_id","Ajax":true,"AutoFill":false,"DisplayFields":["x_ds_nama","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":"","LinkTable":"datang_sumber"};
fkedatangandelete.Lists["x_datang_sumber"].Data = "<?php echo $kedatangan_delete->datang_sumber->LookupFilterQuery(FALSE, "delete") ?>";
fkedatangandelete.Lists["x_k_id"] = {"LinkField":"x_k_id","Ajax":true,"AutoFill":false,"DisplayFields":["x_k_id_kontrak","x_k_tgl_tanam","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":"","LinkTable":"kontrak"};
fkedatangandelete.Lists["x_k_id"].Data = "<?php echo $kedatangan_delete->k_id->LookupFilterQuery(FALSE, "delete") ?>";
fkedatangandelete.AutoSuggests["x_k_id"] = <?php echo json_encode(array("data" => "ajax=autosuggest&" . $kedatangan_delete->k_id->LookupFilterQuery(TRUE, "delete"))) ?>;
fkedatangandelete.Lists["x_sup_id"] = {"LinkField":"x_sup_id","Ajax":true,"AutoFill":false,"DisplayFields":["x_sup_nama","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":"","LinkTable":"suplaiyer_ubi"};
fkedatangandelete.Lists["x_sup_id"].Data = "<?php echo $kedatangan_delete->sup_id->LookupFilterQuery(FALSE, "delete") ?>";
fkedatangandelete.AutoSuggests["x_sup_id"] = <?php echo json_encode(array("data" => "ajax=autosuggest&" . $kedatangan_delete->sup_id->LookupFilterQuery(TRUE, "delete"))) ?>;
fkedatangandelete.Lists["x_po_id"] = {"LinkField":"x_po_id","Ajax":true,"AutoFill":false,"DisplayFields":["x_po_id","x_po_tanggal","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":"","LinkTable":"po"};
fkedatangandelete.Lists["x_po_id"].Data = "<?php echo $kedatangan_delete->po_id->LookupFilterQuery(FALSE, "delete") ?>";
fkedatangandelete.AutoSuggests["x_po_id"] = <?php echo json_encode(array("data" => "ajax=autosuggest&" . $kedatangan_delete->po_id->LookupFilterQuery(TRUE, "delete"))) ?>;
fkedatangandelete.Lists["x_var_id"] = {"LinkField":"x_var_id","Ajax":true,"AutoFill":false,"DisplayFields":["x_var_nama","","",""],"ParentFields":[],"ChildFields":[],"FilterFields":[],"Options":[],"Template":"","LinkTable":"varietas"};
fkedatangandelete.Lists["x_var_id"].Data = "<?php echo $kedatangan_delete->var_id->LookupFilterQuery(FALSE, "delete") ?>";

// Form object for search
</script>
<script type="text/javascript">

// Write your client script here, no need to add script tags.
</script>
<?php $kedatangan_delete->ShowPageHeader(); ?>
<?php
$kedatangan_delete->ShowMessage();
?>
<form name="fkedatangandelete" id="fkedatangandelete" class="form-inline ewForm ewDeleteForm" action="<?php echo ew_CurrentPage() ?>" method="post">
<?php if ($kedatangan_delete->CheckToken) { ?>
<input type="hidden" name="<?php echo EW_TOKEN_NAME ?>" value="<?php echo $kedatangan_delete->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="kedatangan">
<input type="hidden" name="a_delete" id="a_delete" value="D">
<?php foreach ($kedatangan_delete->RecKeys as $key) { ?>
<?php $keyvalue = is_array($key) ? implode($EW_COMPOSITE_KEY_SEPARATOR, $key) : $key; ?>
<input type="hidden" name="key_m[]" value="<?php echo ew_HtmlEncode($keyvalue) ?>">
<?php } ?>
<div class="box ewBox ewGrid">
<div class="<?php if (ew_IsResponsiveLayout()) { ?>table-responsive <?php } ?>ewGridMiddlePanel">
<table class="table ewTable">
	<thead>
	<tr class="ewTableHeader">
<?php if ($kedatangan->datang_id->Visible) { // datang_id ?>
		<th class="<?php echo $kedatangan->datang_id->HeaderCellClass() ?>"><span id="elh_kedatangan_datang_id" class="kedatangan_datang_id"><?php echo $kedatangan->datang_id->FldCaption() ?></span></th>
<?php } ?>
<?php if ($kedatangan->datang_tgl->Visible) { // datang_tgl ?>
		<th class="<?php echo $kedatangan->datang_tgl->HeaderCellClass() ?>"><span id="elh_kedatangan_datang_tgl" class="kedatangan_datang_tgl"><?php echo $kedatangan->datang_tgl->FldCaption() ?></span></th>
<?php } ?>
<?php if ($kedatangan->datang_sumber->Visible) { // datang_sumber ?>
		<th class="<?php echo $kedatangan->datang_sumber->HeaderCellClass() ?>"><span id="elh_kedatangan_datang_sumber" class="kedatangan_datang_sumber"><?php echo $kedatangan->datang_sumber->FldCaption() ?></span></th>
<?php } ?>
<?php if ($kedatangan->k_id->Visible) { // k_id ?>
		<th class="<?php echo $kedatangan->k_id->HeaderCellClass() ?>"><span id="elh_kedatangan_k_id" class="kedatangan_k_id"><?php echo $kedatangan->k_id->FldCaption() ?></span></th>
<?php } ?>
<?php if ($kedatangan->sup_id->Visible) { // sup_id ?>
		<th class="<?php echo $kedatangan->sup_id->HeaderCellClass() ?>"><span id="elh_kedatangan_sup_id" class="kedatangan_sup_id"><?php echo $kedatangan->sup_id->FldCaption() ?></span></th>
<?php } ?>
<?php if ($kedatangan->po_id->Visible) { // po_id ?>
		<th class="<?php echo $kedatangan->po_id->HeaderCellClass() ?>"><span id="elh_kedatangan_po_id" class="kedatangan_po_id"><?php echo $kedatangan->po_id->FldCaption() ?></span></th>
<?php } ?>
<?php if ($kedatangan->var_id->Visible) { // var_id ?>
		<th class="<?php echo $kedatangan->var_id->HeaderCellClass() ?>"><span id="elh_kedatangan_var_id" class="kedatangan_var_id"><?php echo $kedatangan->var_id->FldCaption() ?></span></th>
<?php } ?>
<?php if ($kedatangan->datang_jumlah->Visible) { // datang_jumlah ?>
		<th class="<?php echo $kedatangan->datang_jumlah->HeaderCellClass() ?>"><span id="elh_kedatangan_datang_jumlah" class="kedatangan_datang_jumlah"><?php echo $kedatangan->datang_jumlah->FldCaption() ?></span></th>
<?php } ?>
<?php if ($kedatangan->datang_terpakai->Visible) { // datang_terpakai ?>
		<th class="<?php echo $kedatangan->datang_terpakai->HeaderCellClass() ?>"><span id="elh_kedatangan_datang_terpakai" class="kedatangan_datang_terpakai"><?php echo $kedatangan->datang_terpakai->FldCaption() ?></span></th>
<?php } ?>
	</tr>
	</thead>
	<tbody>
<?php
$kedatangan_delete->RecCnt = 0;
$i = 0;
while (!$kedatangan_delete->Recordset->EOF) {
	$kedatangan_delete->RecCnt++;
	$kedatangan_delete->RowCnt++;

	// Set row properties
	$kedatangan->ResetAttrs();
	$kedatangan->RowType = EW_ROWTYPE_VIEW; // View

	// Get the field contents
	$kedatangan_delete->LoadRowValues($kedatangan_delete->Recordset);

	// Render row
	$kedatangan_delete->RenderRow();
?>
	<tr<?php echo $kedatangan->RowAttributes() ?>>
<?php if ($kedatangan->datang_id->Visible) { // datang_id ?>
		<td<?php echo $kedatangan->datang_id->CellAttributes() ?>>
<span id="el<?php echo $kedatangan_delete->RowCnt ?>_kedatangan_datang_id" class="kedatangan_datang_id">
<span<?php echo $kedatangan->datang_id->ViewAttributes() ?>>
<?php echo $kedatangan->datang_id->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($kedatangan->datang_tgl->Visible) { // datang_tgl ?>
		<td<?php echo $kedatangan->datang_tgl->CellAttributes() ?>>
<span id="el<?php echo $kedatangan_delete->RowCnt ?>_kedatangan_datang_tgl" class="kedatangan_datang_tgl">
<span<?php echo $kedatangan->datang_tgl->ViewAttributes() ?>>
<?php echo $kedatangan->datang_tgl->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($kedatangan->datang_sumber->Visible) { // datang_sumber ?>
		<td<?php echo $kedatangan->datang_sumber->CellAttributes() ?>>
<span id="el<?php echo $kedatangan_delete->RowCnt ?>_kedatangan_datang_sumber" class="kedatangan_datang_sumber">
<span<?php echo $kedatangan->datang_sumber->ViewAttributes() ?>>
<?php echo $kedatangan->datang_sumber->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($kedatangan->k_id->Visible) { // k_id ?>
		<td<?php echo $kedatangan->k_id->CellAttributes() ?>>
<span id="el<?php echo $kedatangan_delete->RowCnt ?>_kedatangan_k_id" class="kedatangan_k_id">
<span<?php echo $kedatangan->k_id->ViewAttributes() ?>>
<?php echo $kedatangan->k_id->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($kedatangan->sup_id->Visible) { // sup_id ?>
		<td<?php echo $kedatangan->sup_id->CellAttributes() ?>>
<span id="el<?php echo $kedatangan_delete->RowCnt ?>_kedatangan_sup_id" class="kedatangan_sup_id">
<span<?php echo $kedatangan->sup_id->ViewAttributes() ?>>
<?php echo $kedatangan->sup_id->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($kedatangan->po_id->Visible) { // po_id ?>
		<td<?php echo $kedatangan->po_id->CellAttributes() ?>>
<span id="el<?php echo $kedatangan_delete->RowCnt ?>_kedatangan_po_id" class="kedatangan_po_id">
<span<?php echo $kedatangan->po_id->ViewAttributes() ?>>
<?php echo $kedatangan->po_id->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($kedatangan->var_id->Visible) { // var_id ?>
		<td<?php echo $kedatangan->var_id->CellAttributes() ?>>
<span id="el<?php echo $kedatangan_delete->RowCnt ?>_kedatangan_var_id" class="kedatangan_var_id">
<span<?php echo $kedatangan->var_id->ViewAttributes() ?>>
<?php echo $kedatangan->var_id->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($kedatangan->datang_jumlah->Visible) { // datang_jumlah ?>
		<td<?php echo $kedatangan->datang_jumlah->CellAttributes() ?>>
<span id="el<?php echo $kedatangan_delete->RowCnt ?>_kedatangan_datang_jumlah" class="kedatangan_datang_jumlah">
<span<?php echo $kedatangan->datang_jumlah->ViewAttributes() ?>>
<?php echo $kedatangan->datang_jumlah->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($kedatangan->datang_terpakai->Visible) { // datang_terpakai ?>
		<td<?php echo $kedatangan->datang_terpakai->CellAttributes() ?>>
<span id="el<?php echo $kedatangan_delete->RowCnt ?>_kedatangan_datang_terpakai" class="kedatangan_datang_terpakai">
<span<?php echo $kedatangan->datang_terpakai->ViewAttributes() ?>>
<?php echo $kedatangan->datang_terpakai->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
	</tr>
<?php
	$kedatangan_delete->Recordset->MoveNext();
}
$kedatangan_delete->Recordset->Close();
?>
</tbody>
</table>
</div>
</div>
<div>
<button class="btn btn-primary ewButton" name="btnAction" id="btnAction" type="submit"><?php echo $Language->Phrase("DeleteBtn") ?></button>
<button class="btn btn-default ewButton" name="btnCancel" id="btnCancel" type="button" data-href="<?php echo $kedatangan_delete->getReturnUrl() ?>"><?php echo $Language->Phrase("CancelBtn") ?></button>
</div>
</form>
<script type="text/javascript">
fkedatangandelete.Init();
</script>
<?php
$kedatangan_delete->ShowPageFooter();
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
?>
<script type="text/javascript">

// Write your table-specific startup script here
// document.write("page loaded");

</script>
<?php include_once "footer.php" ?>
<?php
$kedatangan_delete->Page_Terminate();
?>
